Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.neural.networks.training.propagation
Class TrainingContinuation

    java.lang.Object
      org.encog.neural.networks.training.propagation.TrainingContinuation

All Implemented Interfaces:
  Serializable

    public class TrainingContinuation

extends Object
implements Serializable

Allows training to be continued.

See Also:
  Serialized Form

Constructor Summary
`TrainingContinuation()`

Method Summary
`Object` | `get(String name)` Get an object by name.
`Map<String,Object>` | `getContents()`
`String` | `getTrainingType()`
`void` | `put(String key, double[] list)` Save a list of doubles.
`void` | `set(String name, Object value)` Set a value to a string.
`void` | `setTrainingType(String trainingType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TrainingContinuation

    public TrainingContinuation()

Method Detail

### get

    public final Object get(String name)

  Get an object by name.

  Parameters:
    `name` - The name of the object.
  Returns:
    The object requested.

### getContents

    public final Map<String,Object> getContents()

  Returns:
    The contents.

### put

    public final void put(String key,
                          double[] list)

  Save a list of doubles.

  Parameters:
    `key` - The key to save them under.
    `list` - The list of doubles.

### set

    public final void set(String name,
                          Object value)

  Set a value to a string.

  Parameters:
    `name` - The value to set.
    `value` - The value.

### getTrainingType

    public final String getTrainingType()

  Returns:
    the trainingType

### setTrainingType

    public final void setTrainingType(String trainingType)

  Parameters:
    `trainingType` - the trainingType to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.